Skip to content
master
Go to file
Code

Latest commit

This is explicitly backwards incompatible with previous versions; I am
not offering a compatibility shim in the same way the Ruby library did.
4f847cc

Git stats

Files

Permalink
Failed to load latest commit information.

README.rst

httpie-api-auth

ApiAuth auth plugin for HTTPie.

Installation

$ pip install httpie-api-auth

You should now see api-auth under --auth-type in $ http --help output.

Usage

$ http --auth-type=api-auth --auth='access_id:secret_key' example.org

Compatibility

As of version 0.3.0 of this library, only the new canonical string form introduced in api_auth 1.4 is supported. If you need to interact with services that have not yet upgraded to be compatible with this new scheme, you will need to use version 0.2.1 of this library to sign requests in a manner that those services will accept.

About

HTTPie support for the ApiAuth authentication scheme

Resources

License

Releases

No releases published

Packages

No packages published

Languages

You can’t perform that action at this time.